Solved Plugin.yml Error

Discussion in 'Spigot Plugin Help' started by SpyingBadge2143, Aug 6, 2021.

  1. Error:

    Code (Java):
    [15:49:42 ERROR]: Could not load 'plugins\Creeper.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
            at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:170) ~[patched_1.15.2.jar:git-Paper-391]
            at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:148) ~[patched_1.15.2.jar:git-Paper-391]
            at org.bukkit.craftbukkit.v1_15_R1.CraftServer.loadPlugins(CraftServer.java:360) ~[patched_1.15.2.jar:git-Paper-391]
            at net.minecraft.server.v1_15_R1.DedicatedServer.init(DedicatedServer.java:234) ~[patched_1.15.2.jar:git-Paper-391]
            at net.minecraft.server.v1_15_R1.MinecraftServer.run(MinecraftServer.java:909) ~[patched_1.15.2.jar:git-Paper-391]
            at java.lang.Thread.run(Thread.java:832) [?:?]
    Caused by: java.util.zip.ZipException: zip END header not found
            at java.util.zip.ZipFile$Source.zerror(ZipFile.java:1482) ~[?:?]
            at java.util.zip.ZipFile$Source.findEND(ZipFile.java:1383) ~[?:?]
            at java.util.zip.ZipFile$Source.initCEN(ZipFile.java:1390) ~[?:?]
            at java.util.zip.ZipFile$Source.<init>(ZipFile.java:1221) ~[?:?]
            at java.util.zip.ZipFile$Source.get(ZipFile.java:1184) ~[?:?]
            at java.util.zip.ZipFile$CleanableResource.<init>(ZipFile.java:718) ~[?:?]
            at java.util.zip.ZipFile.<init>(ZipFile.java:238) ~[?:?]
            at java.util.zip.ZipFile.<init>(ZipFile.java:168) ~[?:?]
            at java.util.jar.JarFile.<init>(JarFile.java:345) ~[?:?]
            at java.util.jar.JarFile.<init>(JarFile.java:316) ~[?:?]
            at java.util.jar.JarFile.<init>(JarFile.java:282) ~[?:?]
            at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:158) ~[patched_1.15.2.jar:git-Paper-391]
            ... 5 more

    Plugin.yml:

    Code (YAML):
    main: me.spyingbadge2143.multiplyingcreeperexplosionhealth.MultiplyingCreeperExplosionHealth
    name
    : multiplyingcreeperexplosionhealth
    version
    : 1.0
     
  2. name: MultiplyingCreeperExplosionHealth
    version: 1.0
    author: <YourUsername>
    api-version: <ServerVersion>
    main: me.spyingbadge2143.multiplyingcreeperexplosionhealth.MultiplyingCreeperExplosionHealth

    try setting it to that
     
  3. Got it too work myself forgot to change it to solved.